# $Id: pe-hiera-yamlgpg.spec 1370 2013-11-04 20:49:50Z rpmbuild $
# repo: RE
# restrictions:

%global p_vendor         pe

%if 0%{?p_vendor:1}
  %global _orig_prefix %{_prefix}
  %global name_prefix  %{p_vendor}-

  %define _lib lib

  # Override _prefix last, so we can get the _real_* locations.
  %define _prefix       /opt/puppet
  %define _libdir       %{_prefix}/lib
  %define _bindir       %{_prefix}/bin
  %define _sysconfdir   /etc/puppetlabs
%endif

%define ruby            %{_bindir}/ruby

# Fedora 17 ships with ruby 1.9, which uses vendorlibdir instead
# of sitelibdir
%if 0%{?fedora} >= 17
%global hiera_libdir   %(%{ruby} -rrbconfig -e 'puts RbConfig::CONFIG["vendorlibdir"]')
%else
%global hiera_libdir   %(%{ruby} -rrbconfig -e 'puts RbConfig::CONFIG["sitelibdir"]')
%endif

Summary: Decrypt Hiera YAML values encrypted with GPG
Name: %{?name_prefix}hiera-yamlgpg
Version: 0.1.7
Release: %RErelease 2
Group: System Environment/Base
License: ASL 2.0
URL: http://github.com/compete/hiera_yamlgpg
Source0: https://github.com/compete/hiera_yamlgpg/archive/%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: %{?name_prefix}ruby
BuildRequires: rpm-macros-razorsedge
Requires: %{?name_prefix}ruby
Requires: %{?name_prefix}hiera
Requires: %{?name_prefix}rubygem-gpgme >= 2.0.0
BuildArch: noarch

%description
hiera-yamlgpg allows you to place your GPG encoded YAML in a plaintext file
which can be read by Hiera on the command line or via Puppet on any machine
that has a valid secret key.  hiera-yamlgpg will only decrypt values that look
like they've been encrypted and will treat unencrypted values just as the
normal yaml backend would.

%prep
%setup -q -n hiera_yamlgpg-%{version}

%build

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT/%{hiera_libdir}
%{__cp} -pr lib/hiera $RPM_BUILD_ROOT/%{hiera_libdir}
%{__mkdir_p} $RPM_BUILD_ROOT/%{_bindir}
%{__cp} -p scripts/decrypt_yaml.rb $RPM_BUILD_ROOT/%{_bindir}/hiera-yamlgpg-decrypt
%{__cp} -p scripts/encrypt_yaml.rb $RPM_BUILD_ROOT/%{_bindir}/hiera-yamlgpg-encrypt

%{__chmod} -R g-w $RPM_BUILD_ROOT

# Fix shebang line of scripts
for file in `find $RPM_BUILD_ROOT%{_prefix} -type f`; do
    sed -i -e '1s,^#!.*ruby$,#!%{_bindir}/ruby,' $file
done

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/hiera*
%{hiera_libdir}/hiera

%changelog
* Mon Nov 04 2013 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 0.1.7-2
- Fix rubygem requires.

* Sat Nov 02 2013 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 0.1.7-1
- First build.

